Bug 816448 - inaccurate display for status of stopped libvirt-guests service
Summary: inaccurate display for status of stopped libvirt-guests service
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Osier Yang
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-26 05:51 UTC by hongming
Modified: 2013-02-21 07:12 UTC (History)
8 users (show)

Fixed In Version: libvirt-0.9.13-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 07:12:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0276 0 normal SHIPPED_LIVE Moderate: libvirt security, bug fix, and enhancement update 2013-02-20 21:18:26 UTC

Description hongming 2012-04-26 05:51:12 UTC
Description of problem:
The status of stoped libvirt-guests service display inaccurate. It always display "stoped ,with saved guests " even if there is no any managed save file.

Version-Release number of selected component (if applicable):
libvirt-0.9.10-11.el6.x86_64
qemu-kvm-0.12.1.2-2.277.el6.x86_64
kernel-2.6.32-262.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.# service libvirtd stop
Stopping libvirtd daemon: [ OK ]

2.# service libvirt-guests status
started

3.# service libvirt-guests stop
Can't connect to default. Skipping.

4.# service libvirt-guests status
stopped, with saved guests

5.# ll /var/lib/libvirt/qemu/save
total 0

  
Actual results:
It always display "stoped ,with saved guests " even if there is no any managed save file.


Expected results:
When there are domains with managedsave file by libvirt-guests , the status display "stoped ,with saved guests " . If not , it display "stoped".

Additional info:

Comment 2 Osier Yang 2012-05-16 01:23:26 UTC
Patch committed to upstream.

commit c086af6b9b2296e2ab45e571f0fdfca097f7f127
Author: Osier Yang <jyang@redhat.com>
Date:   Tue May 15 16:22:28 2012 +0800

    libvirt-guests: Remove LISTFILE if it's empty when stopping service
    
    $LISTFILE is created even no domain is running, and the empty
    $LISTFILE could cause improper service status.
    
        stopped ,with saved guests
    
    Which is not right, as there is no domain was saved.

Comment 3 Osier Yang 2012-05-28 08:57:58 UTC
Per comment 2, move to POST.

Comment 6 hongming 2012-07-25 06:58:02 UTC
Verify it using the following version.
kernel-2.6.32-276.el6.x86_64
qemu-kvm-0.12.1.2-2.295.el6.x86_64
libvirt-0.9.13-3.el6.x86_64

Steps

# service libvirtd stop
Stopping libvirtd daemon:                                  [  OK  ]

# service libvirt-guests status
started

# service libvirt-guests stop

Can't connect to default. Skipping.

# service libvirt-guests status
stopped, with no saved guests


# service libvirtd start
Starting libvirtd daemon:                                  [  OK  ]

# service libvirt-guests start

# virsh list --all
 Id    Name                           State
----------------------------------------------------
 5     rhel6                          running
 6     win                            running

# service libvirt-guests stop

Running guests on default URI: rhel6, win

Suspending guests on default URI...
Suspending rhel6: done         
Suspending win: done         

# service libvirt-guests status
stopped, with saved guests

Results

It is expected result. So move its status to VERIFIED.

Comment 7 errata-xmlrpc 2013-02-21 07:12:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html


Note You need to log in before you can comment on or make changes to this bug.